Print the file of a consignment note's attachment
Path Parameters
- Type: stringFormat: uuidconsignment
Id required - Type: stringFormat: uuidconsignment
Note Id required - Type: stringFormat: uuidconsignment
Note Attachment Id required
Query Parameters
- Type: stringFormat: uuidPrinter
Id The printer bridge warehouse printer id to be used for printing.
- Type: integer · enumOrientation
The orientation of the PDF. Null to auto detect orientation
values- Portrait = 1
- Landscape = 2
Responses
- application/json
Request Example for get/v1/consignments/{consignmentId}/notes/{consignmentNoteId}/attachments/{consignmentNoteAttachmentId}/print
curl 'https://api.consignlyhq.com/v1/consignments/123e4567-e89b-12d3-a456-426614174000/notes/123e4567-e89b-12d3-a456-426614174000/attachments/123e4567-e89b-12d3-a456-426614174000/print?PrinterId=&Orientation=enum%20(Portrait%20%3D%201%2C%20Landscape%20%3D%202)'
{
"printJobId": "123e4567-e89b-12d3-a456-426614174000"
}